package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.HousingDistrict;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.HousingDistrictMapper")
public interface HousingDistrictMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(HousingDistrict record);

    HousingDistrict selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(HousingDistrict record);

    List<HousingDistrict> queryAllHousingDistrict(HousingDistrict record);

    List<HousingDistrict> queryHousingDistrictByPage(Map<String, Object> parameter);

    int delete(String id);

    HousingDistrict queryHousingDistrict(HousingDistrict record);

    List<HousingDistrict> query(HousingDistrict record);
}

